# $Revision: 1.15 $, $Date: 2002/08/18 17:32:05 $
Summary:	An X Window System based CPU state monitor
Summary(pl):	Monitor stanu procesora pod X Window System
Name:		xcpustate
Version:	2.5
Release:	6
License:	freely distributable
Group:		Applications/System
Source0:	ftp://ftp.cs.toronto.edu/pub/jdd/xcpustate/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-nlist.patch
Patch1:		%{name}-%{version}-alpha.patch
Patch2:		%{name}-%{version}-6.0.patch
BuildRequires:	libelf-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
The xcpustate utility is an X Window System based monitor which shows
the amount of time that the CPU is spending in different states. On a
Linux system, xcpustate displays a bar that indicates the amounts of
idle, user, nice and system time (from left to right) used by the CPU.

Install the xcpustate package if you'd like to use a horizontal bar
style CPU state monitor.

%description -l pl
Narzdzie xcpustate jest dziaajcym pod X Window System monitorem
pokazujcym jak duo czasu procesor spdza w poszczeglnych stanach.
Pod Linuksem xcpustate rysuje wykres czasu idle, user, nice i system.

%prep
%setup -q
%patch0 -p1
%patch2 -p1
%ifarch alpha
%patch1 -p1
%endif

%build
xmkmf
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install install.man DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xcpustate
%{_mandir}/man1/xcpustate.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xcpustate.spec,v $
Revision 1.15  2002/08/18 17:32:05  blues
- added BR:libelf-devel

Revision 1.14  2002/08/18 15:43:48  kloczek
- cosmetics.

Revision 1.13  2002/08/18 15:40:42  blues
- release 6 - license fix

Revision 1.12  2002/02/23 05:11:00  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:30:03  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:15:28  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/10/09 13:24:50  qboosh
- adapterized, pl translations, removed gzipping of man pages

Revision 1.8  2001/08/22 17:30:13  filon
- removed stripping executables, it's done by rpm automation

Revision 1.7  2000/06/09 07:55:16  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:24:14  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:05:15  kloczek
- spec adapterized.

Revision 1.4  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.3  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  1999/11/02 13:30:21  baggins
- cleanup
- macros
- striping binaries
- gziping docs
- CVS tags
- FHS 2.0

Revision 1.1  1999/08/19 20:07:27  baggins
almost raw

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 5)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0
- added patch to build

* Wed Jun 03 1998 Jeff Johnson <jbj@redhat.com>
- Created.
